SETLOCAL
cd /d %DPATH%

findstr /I /M "VERSION.*.*~v7.1~" .\Divine_Remix\Setup-Divine_Remix.tp2>nul
if not errorlevel 1 (
	ren .\"%BWFP%"\Divine_Remix_v7 Divine_Remix
	ren .\"%BWTP% GERMAN"\Divine_Remix_v7 Divine_Remix
)

findstr /I /M "VERSION.*.*~v8~" .\Divine_Remix\Setup-Divine_Remix.tp2>nul
if not errorlevel 1 (
	ren .\"%BWFP%"\Divine_Remix_v8 Divine_Remix
)

%IFS%TDD%IFNIF%ninde%IFNIF%Rylorn.exe ren .\"%BWFP%"\TDD\Setup-TDD.tp2.noNinde_noRylorn Setup-TDD.tp2.patch

%IFS%TDD%IFIF%ninde%IFIF%Rylorn.exe (
	findstr /I /M "CNoRylorn" %SET%>nul
	if errorlevel 1 (
		ren .\"%BWFP%"\TDD\Setup-TDD.tp2.Ninde_Rylorn Setup-TDD.tp2.patch & ren .\"%BWFP%\Ninde\lk#nindj.d.TDD" lk#nindj.d.patch
	) else (
		ren .\"%BWFP%"\TDD\Setup-TDD.tp2.Ninde_noRylorn Setup-TDD.tp2.patch & ren .\"%BWFP%\Ninde\lk#nindj.d.TDD" lk#nindj.d.patch
	)
	goto :FinTDDOp
)

%IFS%TDD%IFNIF%ninde%IFIF%Rylorn.exe (
	findstr /I /M "CNoRylorn" %SET%>nul
	if errorlevel 1 (
		ren .\"%BWFP%"\TDD\Setup-TDD.tp2.noNinde_Rylorn Setup-TDD.tp2.patch
	) else (
		ren .\"%BWFP%"\TDD\Setup-TDD.tp2.noNinde_noRylorn Setup-TDD.tp2.patch
	)
)

:FinTDDOp
